## poppler 0.4.5-5.1etch2maemo3%2b0m5

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk

# a trick to fix xpdfrc location without modifying autotools stuff
DEB_CONFIGURE_SYSCONFDIR = /etc/xpdf

# disable gtk stuff to minimize Build-Depends
DEB_CONFIGURE_EXTRA_FLAGS =			\
	--enable-libjpeg			\
	--enable-splash-output			\
	--disable-cairo-output			\
	--enable-poppler-glib			\
	--disable-poppler-qt			\
	--disable-poppler-qt4			\
	--enable-a4-paper			\
	--disable-gtk-test

SHLIB_VERSION=0.4.2
DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2 := -V"libpoppler0c2 (>= $(SHLIB_VERSION))"
DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2-glib := -V"libpoppler0c2-glib (>= $(SHLIB_VERSION))"
DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2-qt := -V"libpoppler0c2-qt (>= $(SHLIB_VERSION))"

## poppler 0.4.5-5.1etch2maemo3+0m5

=== debian/changelog ===
poppler (0.4.5-5.1etch2maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 29 Jun 2009 16:34:21 +0300

poppler (0.4.5-5.1etch2maemo3) unstable; urgency=low

  * Compat level increased to 5
  * Fixes NB#118369 Creates -dbg packages for libpoppler0c2 and libpoppler0c2-glib

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 29 Jun 2009 16:19:06 +0300

poppler (0.4.5-5.1etch2maemo2) unstable; urgency=low

  * Add libjpeg62-dev to build dependencies

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu, 03 Apr 2008 14:15:06 +0300

poppler (0.4.5-5.1etch2maemo1) unstable; urgency=low

  * Disable qt support
  * Set maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 19 Mar 2008 16:58:42 +0200

poppler (0.4.5-5.1etch2) stable-security; urgency=high

  * Fix CVE-2007-4352 CVE-2007-5392 CVE-2007-5393

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 21 Jan 2008 18:10:27 +0100

poppler (0.4.5-5.1etch1) stable-security; urgency=high

  * Fix integer overflow in stream predictor (CVE-2007-3387).

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri,  3 Aug 2007 17:47:47 +0200

poppler (0.4.5-5.1) unstable; urgency=high

  * Non-maintainer upload with approval of the maintainer.
  * SECURITY UPDATE: Denial of Service.
  * New patch, 108_CVE-2007-0104; limits recursion depth of the parsing tree to
    100 to avoid infinite loop with crafted documents; CVE-2007-0104; from
    Ubuntu's 0.4.2-0ubuntu6.8; originally taken from koffice security update;
    closes: #407600.

 -- Loic Minier <lool@dooz.org>  Sat, 20 Jan 2007 00:12:49 +0100

poppler (0.4.5-5) unstable; urgency=low

  * Acknowledge NMU (Closes: #375332)
  * Add versioned conflict on pdftohtml (Closes: #393162)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Oct 2006 10:09:19 +0200

poppler (0.4.5-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Backport SplashFTFont.cc from 0.5.2; fixes FTBFS with Freetype 2.2.
    (Closes: #373991)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 25 Jun 2006 11:55:39 +0200

poppler (0.4.5-4) unstable; urgency=low

  * Fix FTBFS with gcc 4.1 (Closes: #357479)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 17 Mar 2006 17:13:33 +0100

poppler (0.4.5-3) unstable; urgency=low

  * Disable cairo output for unstable, cairo rendering will stay
    enabled in cairo version in experimental.
    (Closes: #349371, #347652, #348511, #348869, #348980, #347423, #340379, #351070, #353444)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Feb 2006 09:36:36 +0100

poppler (0.4.5-2) unstable; urgency=high

  * Add debian/patches/003-xpdf-3.01pl2.patch
    - Security fixes from Derek Noonburg (follows CVE-2006-0301)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Feb 2006 11:16:40 +0100

poppler (0.4.5-1) unstable; urgency=high

  * New upstream security release
    - fixes CVE-2006-0301

 -- Ondřej Surý <ondrej@debian.org>  Sun, 12 Feb 2006 20:34:47 +0100

poppler (0.4.4-2) unstable; urgency=low

  * Remove debian/patches/001_relibtoolize.patch
    + Relibtoolizing is needed because of 000_add-poppler-utils.patch
      which modifies Makefile.am (Closes: 348714)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jan 2006 22:07:55 +0100

poppler (0.4.4-1) unstable; urgency=high

  * New upstream security release
    - fixes CVE-2005-3624, CVE-2005-3625, CVE-2005-3627
  * Remove debian/patches/003-CVE-2005-3624_5_7.patch:
    - Merged upstream
  * Remove debian/patches/004-fix-CVE-2005-3192.patch:
    - Merged upstream
  * Remove debian/patches/001-relibtoolize.patch
    - Upstream uses recent libtool

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Jan 2006 20:40:27 +0100

poppler (0.4.3-3) unstable; urgency=low

  * Fix missing libcairo2-dev dependency (Closes: #346277)

 -- Ondřej Surý <ondrej@debian.org>  Fri,  6 Jan 2006 21:37:10 +0100

poppler (0.4.3-2) unstable; urgency=high

  [ Martin Pitt ]
  * SECURITY UPDATE: Multiple integer/buffer overflows.
  * Add debian/patches/003-CVE-2005-3624_5_7.patch:
    - poppler/Stream.cc, CCITTFaxStream::CCITTFaxStream():
      + Check columns for negative or large values.
      + CVE-2005-3624
    - poppler/Stream.cc, numComps checks introduced in CVE-2005-3191 patch:
      + Reset numComps to 0 since it's a global variable that is used later.
      + CVE-2005-3627
    - poppler/Stream.cc, DCTStream::readHuffmanTables():
      + Fix out of bounds array access in Huffman tables.
      + CVE-2005-3627
    - poppler/Stream.cc, DCTStream::readMarker():
      + Check for EOF in while loop to prevent endless loops.
      + CVE-2005-3625
    - poppler/JBIG2Stream.cc, JBIG2Bitmap::JBIG2Bitmap(),
      JBIG2Bitmap::expand(), JBIG2Stream::readHalftoneRegionSeg():
      + Check user supplied width and height against invalid values.
      + Allocate one extra byte to prevent out of bounds access in combine().
  * Add debian/patches/004-fix-CVE-2005-3192.patch:
    - Fix nVals int overflow check in StreamPredictor::StreamPredictor().
    - Forwarded upstream to https://bugs.freedesktop.org/show_bug.cgi?id=5514.

  [ Ondřej Surý ]
  * Merge changes from Ubuntu (Closes: #346076).
  * Enable Cairo output again.

 -- Ondřej Surý <ondrej@debian.org>  Thu,  5 Jan 2006 14:54:44 +0100

poppler (0.4.3-1) unstable; urgency=high

  * New upstream release.
  * New maintainer (Closes: #344738)
  * CVE-2005-3191 and CAN-2005-2097 fixes merged upstream.
  * Fixed some rendering bugs and disabled Cairo output
    (Closes: #314556, #322964, #328211)
  * Acknowledge NMU (Closes: #342288)
  * Add 001-selection-crash-bug.patch (Closes: #330544)
  * Add poppler-utils (merge patch from Ubuntu)

 -- Ondřej Surý <ondrej@sury.org>  Fri, 30 Dec 2005 11:34:07 +0100

poppler (0.4.2-1.1) unstable; urgency=high

  * SECURITY UPDATE: Multiple integer/buffer overflows.

  * NMU to fix RC security bug (closes: #342288)


## poppler 0.8.7

=== CMakeLists.txt ===
project(poppler)

cmake_minimum_required(VERSION 2.4.0 FATAL_ERROR)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

include(PopplerDefaults)
include(PopplerMacros)
include(MacroOptionalFindPackage)
find_package(PkgConfig)
include(MacroEnsureVersion)
include(MacroBoolTo01)

set(POPPLER_VERSION "0.8.7")

# command line switches
option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
option(BUILD_GTK_TESTS "Whether compile the GTK+ test programs." ON)
option(BUILD_QT3_TESTS "Whether compile the Qt3 test programs." ON)
option(BUILD_QT4_TESTS "Whether compile the Qt4 test programs." ON)
option(ENABLE_SPLASH "Build the Splash graphics backend." ON)
option(ENABLE_UTILS "Compile poppler command line utils." ON)
option(ENABLE_ABIWORD "Build the Abiword backend." ON)
option(ENABLE_ZLIB "TODO" OFF)
option(USE_EXCEPTIONS "Throw exceptions to deal with not enough memory and similar problems." OFF)
option(USE_FIXEDPOINT "Use fixed point arithmetic" OFF)

# Enable these unconditionally.
set(MULTITHREAD ON)
set(OPI_SUPPORT ON)
set(TEXTOUT_WORD_LIST ON)

# setting the minimum required versions for some components
set(QT3_MIN_VERSION "3.3.0")
set(QT4_MIN_VERSION "4.1.0")
set(CAIRO_VERSION "1.4")

macro_bool_to_01(ENABLE_SPLASH HAVE_SPLASH)
find_package(Freetype REQUIRED)
find_package(Fontconfig REQUIRED)
macro_optional_find_package(JPEG)
if(JPEG_FOUND)
  set(ENABLE_LIBJPEG ${JPEG_FOUND})
endif(JPEG_FOUND)
macro_optional_find_package(Qt3)
macro_optional_find_package(Qt4)
macro_optional_find_package(GTK)
if(GLIB_FOUND)
  macro_optional_find_package(Cairo)
  set(HAVE_CAIRO ${CAIRO_FOUND})
  set(POPPLER_WITH_GDK ${GDK_FOUND})
  if(CAIRO_FOUND)
    set(CAIRO_REQ "cairo")
  endif(CAIRO_FOUND)
endif(GLIB_FOUND)
if(ENABLE_ZLIB)
  find_package(ZLIB)
  if(ZLIB_FOUND)
    set(HAVE_LIBZ ${ZLIB_FOUND})
  endif(ZLIB_FOUND)
  set(ENABLE_ZLIB ${ZLIB_FOUND})
endif(ENABLE_ZLIB)
if(ENABLE_ABIWORD)
  find_package(LibXml2)
  set(ENABLE_ABIWORD ${LIBXML2_FOUND})
endif(ENABLE_ABIWORD)

add_definitions(-DHAVE_CONFIG_H=1 ${FONTCONFIG_DEFINITIONS})
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/fofi
  ${CMAKE_CURRENT_SOURCE_DIR}/goo
  ${CMAKE_CURRENT_SOURCE_DIR}/poppler
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler
  ${FREETYPE_INCLUDE_DIR}
)
set(HAVE_FREETYPE_H ON)

if(ENABLE_ZLIB)
  include_directories(${ZLIB_INCLUDE_DIR})
endif(ENABLE_ZLIB)
if(JPEG_FOUND)
  include_directories(${JPEG_INCLUDE_DIR})
  set(ENABLE_LIBJPEG ON)
endif(JPEG_FOUND)
if(ENABLE_ABIWORD)
  include_directories(${LIBXML2_INCLUDE_DIR})
  add_definitions(${LIBXML2_DEFINITIONS})
endif(ENABLE_ABIWORD)

if(DEFINED COMPILE_WARNINGS)
else(DEFINED COMPILE_WARNINGS)
  set(COMPILE_WARNINGS "yes")
endif(DEFINED COMPILE_WARNINGS)
string(TOLOWER "${COMPILE_WARNINGS}" _comp_warnings)
if(_comp_warnings STREQUAL "no")
  add_definitions(${DEFAULT_COMPILE_WARNINGS_NO})
endif(_comp_warnings STREQUAL "no")
if(_comp_warnings STREQUAL "yes")
  add_definitions(${DEFAULT_COMPILE_WARNINGS_YES})
endif(_comp_warnings STREQUAL "yes")
if(_comp_warnings STREQUAL "kde")
  set(CMAKE_CXX_FLAGS "${DEFAULT_COMPILE_WARNINGS_KDE} ${CMAKE_CXX_FLAGS}")
endif(_comp_warnings STREQUAL "kde")


include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(poppler-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h)


set(poppler_SRCS
  goo/gfile.cc
  goo/gmempp.cc
  goo/GooHash.cc
  goo/GooList.cc
  goo/GooTimer.cc
  goo/GooString.cc
  goo/gmem.cc
  goo/FixedPoint.cc
  fofi/FoFiBase.cc
  fofi/FoFiEncodings.cc
  fofi/FoFiTrueType.cc
  fofi/FoFiType1.cc
  fofi/FoFiType1C.cc
  poppler/Annot.cc
  poppler/Array.cc
  poppler/BuiltinFont.cc
  poppler/BuiltinFontTables.cc
  poppler/Catalog.cc
  poppler/CharCodeToUnicode.cc
  poppler/CMap.cc
  poppler/Decrypt.cc
  poppler/Dict.cc
  poppler/Error.cc
  poppler/FontEncodingTables.cc
  poppler/Form.cc
  poppler/FontInfo.cc
  poppler/Function.cc
  poppler/Gfx.cc
  poppler/GfxFont.cc
  poppler/GfxState.cc
  poppler/GlobalParams.cc
  poppler/JArithmeticDecoder.cc
  poppler/JBIG2Stream.cc
  poppler/JPXStream.cc
  poppler/Lexer.cc
  poppler/Link.cc
  poppler/NameToCharCode.cc
  poppler/Object.cc
  poppler/OptionalContent.cc
  poppler/Outline.cc
  poppler/OutputDev.cc
  poppler/Page.cc
  poppler/PageTransition.cc
  poppler/Parser.cc
  poppler/PDFDoc.cc
  poppler/PDFDocEncoding.cc
  poppler/ProfileData.cc
  poppler/PreScanOutputDev.cc
  poppler/PSTokenizer.cc
  poppler/Stream.cc
  poppler/UnicodeMap.cc
  poppler/UnicodeTypeTable.cc
  poppler/XRef.cc
  poppler/PSOutputDev.cc
  poppler/TextOutputDev.cc
  poppler/PageLabelInfo.cc
  poppler/SecurityHandler.cc
  poppler/Sound.cc
  poppler/XpdfPluginAPI.cc
  poppler/Movie.cc
)
set(poppler_LIBS ${FREETYPE_LIBRARIES} ${FONTCONFIG_LIBRARIES})
if(ENABLE_SPLASH)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/SplashOutputDev.cc
    splash/Splash.cc
    splash/SplashBitmap.cc
    splash/SplashClip.cc
    splash/SplashFTFont.cc
    splash/SplashFTFontEngine.cc
    splash/SplashFTFontFile.cc
    splash/SplashFont.cc
    splash/SplashFontEngine.cc
    splash/SplashFontFile.cc
    splash/SplashFontFileID.cc
    splash/SplashPath.cc
    splash/SplashPattern.cc
    splash/SplashScreen.cc
    splash/SplashState.cc
    splash/SplashT1Font.cc
    splash/SplashT1FontEngine.cc
    splash/SplashT1FontFile.cc
    splash/SplashXPath.cc
    splash/SplashXPathScanner.cc
  )
endif(ENABLE_SPLASH)
if(JPEG_FOUND)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/DCTStream.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${JPEG_LIBRARIES})
endif(JPEG_FOUND)
if(ENABLE_ZLIB)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/FlateStream.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${ZLIB_LIBRARIES})
endif(ENABLE_ZLIB)
if(ENABLE_ABIWORD)
  set(poppler_SRCS ${poppler_SRCS}
    poppler/ABWOutputDev.cc
  )
  set(poppler_LIBS ${poppler_LIBS} ${LIBXML2_LIBRARIES})
endif(ENABLE_ABIWORD)
if(WIN32)
  # gdi32 is needed under win32
  set(poppler_LIBS ${poppler_LIBS} gdi32)
endif(WIN32)

if(MSVC)
set(poppler_SRCS ${poppler_SRCS} poppler/GlobalParamsWin.cc)
add_library(poppler STATIC ${poppler_SRCS})
else(MSVC)
add_library(poppler SHARED ${poppler_SRCS})
endif(MSVC)
set_target_properties(poppler PROPERTIES VERSION 3.0.0 SOVERSION 3)
target_link_libraries(poppler ${poppler_LIBS})
install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)

if(ENABLE_XPDF_HEADERS)
  install(FILES
    goo/GooHash.h
    goo/GooList.h
    goo/GooTimer.h
    goo/GooMutex.h
    goo/GooString.h
    goo/GooVector.h
    goo/gtypes.h
    goo/gmem.h
    goo/gfile.h
    goo/FixedPoint.h
    poppler/Annot.h
    poppler/Array.h
    poppler/BaseFile.h
    poppler/BuiltinFont.h
    poppler/BuiltinFontTables.h
    poppler/Catalog.h
    poppler/CharCodeToUnicode.h
    poppler/CMap.h
    poppler/Decrypt.h
    poppler/Dict.h
    poppler/Error.h
    poppler/FontEncodingTables.h
    poppler/FontInfo.h
    poppler/Form.h
    poppler/Function.cc
    poppler/Function.h
    poppler/Gfx.h
    poppler/GfxFont.h
    poppler/GfxState.h
    poppler/GlobalParams.h
    poppler/JArithmeticDecoder.h
    poppler/JBIG2Stream.h
    poppler/JPXStream.h
    poppler/Lexer.h
    poppler/Link.h
    poppler/NameToCharCode.h
    poppler/Object.h
    poppler/Outline.h
    poppler/OutputDev.h
    poppler/Page.h
    poppler/PageTransition.h
    poppler/Parser.h
    poppler/PDFDoc.h
    poppler/PDFDocEncoding.h
    poppler/ProfileData.h
    poppler/PreScanOutputDev.h
    poppler/PSTokenizer.h
    poppler/Stream-CCITT.h
    poppler/Stream.h
    poppler/UnicodeMap.h
    poppler/UnicodeMapTables.h
    poppler/UnicodeTypeTable.h
    poppler/UnicodeCClassTables.h
    poppler/UnicodeCompTables.h
    poppler/UnicodeDecompTables.h
    poppler/XRef.h
    poppler/CharTypes.h
    poppler/CompactFontTables.h
    poppler/ErrorCodes.h
    poppler/NameToUnicodeTable.h
    poppler/PSOutputDev.h
    poppler/TextOutputDev.h
    poppler/SecurityHandler.h
    poppler/UTF8.h
    poppler/XpdfPluginAPI.h
    poppler/Sound.h
    poppler/Movie.h
    ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h
    DESTINATION include/poppler)
  if(ENABLE_SPLASH)
    install(FILES
      poppler/SplashOutputDev.h
      DESTINATION include/poppler)
    install(FILES
      splash/Splash.h
      splash/SplashBitmap.h
      splash/SplashClip.h
      splash/SplashErrorCodes.h
      splash/SplashFTFont.h
      splash/SplashFTFontEngine.h
      splash/SplashFTFontFile.h
      splash/SplashFont.h
      splash/SplashFontEngine.h
      splash/SplashFontFile.h
      splash/SplashFontFileID.h
      splash/SplashGlyphBitmap.h
      splash/SplashMath.h
      splash/SplashPath.h
      splash/SplashPattern.h
      splash/SplashScreen.h
      splash/SplashState.h
      splash/SplashT1Font.h
      splash/SplashT1FontEngine.h
      splash/SplashT1FontFile.h
      splash/SplashTypes.h
      splash/SplashXPath.h
      splash/SplashXPathScanner.h
      DESTINATION include/poppler/splash)
  endif(ENABLE_SPLASH)
endif(ENABLE_XPDF_HEADERS)


if(ENABLE_UTILS)
  add_subdirectory(utils)
endif(ENABLE_UTILS)
if(GLIB_FOUND)
  add_subdirectory(glib)
endif(GLIB_FOUND)
if(QT3_FOUND)
  add_subdirectory(qt)
endif(QT3_FOUND)
add_subdirectory(test)
if(QT4_FOUND)
  add_subdirectory(qt4)
endif(QT4_FOUND)

set(PKG_CONFIG_VERSION_0_18 TRUE)
if(PKGCONFIG_EXECUTABLE)
  exec_program(${PKGCONFIG_EXECUTABLE} ARGS --version RETURN_VALUE _return_VALUE OUTPUT_VARIABLE _output_VAR)
  macro_ensure_version("0.18" "${_output_VAR}" PKG_CONFIG_VERSION_0_18)
endif(PKGCONFIG_EXECUTABLE)
if(PKG_CONFIG_VERSION_0_18)
  set(PC_REQUIRES "")
  set(PC_REQUIRES_PRIVATE "Requires.private: poppler = ${POPPLER_VERSION}")
else(PKG_CONFIG_VERSION_0_18)
  set(PC_REQUIRES "poppler = ${POPPLER_VERSION}")
  set(PC_REQUIRES_PRIVATE "")
endif(PKG_CONFIG_VERSION_0_18)

poppler_create_install_pkgconfig(poppler.pc lib/pkgconfig)
if(ENABLE_SPLASH)
  poppler_create_install_pkgconfig(poppler-splash.pc lib/pkgconfig)
endif(ENABLE_SPLASH)
if(QT3_FOUND)
  poppler_create_install_pkgconfig(poppler-qt.pc lib/pkgconfig)
endif(QT3_FOUND)
if(QT4_FOUND)
  poppler_create_install_pkgconfig(poppler-qt4.pc lib/pkgconfig)
endif(QT4_FOUND)
if(GLIB_FOUND)
  poppler_create_install_pkgconfig(poppler-glib.pc lib/pkgconfig)
endif(GLIB_FOUND)
if(CAIRO_FOUND)
  poppler_create_install_pkgconfig(poppler-cairo.pc lib/pkgconfig)
endif(CAIRO_FOUND)


message("Building Poppler with support for:")
show_end_message("splash output" ENABLE_SPLASH)
show_end_message("cairo output" CAIRO_FOUND)
show_end_message("abiword output" ENABLE_ABIWORD)
show_end_message("qt wrapper" QT3_FOUND)
show_end_message("qt4 wrapper" QT4_FOUND)
show_end_message("glib wrapper" GLIB_FOUND)
# message("  use gtk-doc:        $enable_gtk_doc") # TODO
show_end_message("use libjpeg" ENABLE_LIBJPEG)
show_end_message("use zlib" ENABLE_ZLIB)
show_end_message("command line utils" ENABLE_UTILS)

## poppler 0.4.5-5.1etch3maemo1+0m5

=== debian/changelog ===
poppler (0.4.5-5.1etch3maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 09 Feb 2010 13:36:53 +0200

poppler (0.4.5-5.1etch3maemo1) unstable; urgency=low

  * Applied security patch CVE-2008-1693
  * Disabled warning about deprecated string conversion
  * Fixes: NB#146295

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 09 Feb 2010 12:15:21 +0200

=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: maemo integration <integration@maemo.org>
Build-Depends: cdbs, debhelper, gnome-pkg-tools, libgtk2.0-dev, libjpeg62-dev
Standards-Version: 3.7.2

Package: libpoppler0c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpoppler0
Replaces: libpoppler0
Description: PDF rendering library
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the shared library.

Package: libpoppler0c2-dbg
Architecture: any
Section: libdevel
Depends: libpoppler0c2 (= ${Source-Version})
Description: PDF rendering library
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the debugging symbols for libpoppler0c2.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Depends: libpoppler0c2 (= ${Source-Version}), libcairo2-dev
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using Poppler.

Package: libpoppler0c2-glib
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libpoppler0c2 (= ${Source-Version}), ${misc:Depends}
Conflicts: libpoppler0-glib
Replaces: libpoppler0-glib
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler0c2-glib-dbg
Architecture: any
Section: libdevel
Depends: libpoppler0c2-glib (= ${Source-Version})
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides the debugging symbols for the GLib-based shared
 library for applications using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler0c2-glib (= ${Source-Version}), libpoppler-dev (= ${Source-Version}), libglib2.0-dev
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on xpdf PDF viewer.
 .
 This package provides a GLib-style interface to Poppler.

Package: poppler-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Conflicts: xpdf-utils, pdftohtml
Replaces: xpdf-utils, pdftohtml
Provides: xpdf-utils, pdftohtml
Description: PDF utilitites (based on libpoppler)
 This package contains pdftops (PDF to PostScript converter),
 pdfinfo (PDF document information extractor), pdfimages
 (PDF image extractor), pdftotext (PDF to text converter), and
 pdffonts (PDF font analyzer).

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,9 @@
 	--enable-a4-paper			\
 	--disable-gtk-test
 
+# do not warn about deprecated const string to char* conversion
+CXXFLAGS += -Wno-write-strings
+
 SHLIB_VERSION=0.4.2
 DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2 := -V"libpoppler0c2 (>= $(SHLIB_VERSION))"
 DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2-glib := -V"libpoppler0c2-glib (>= $(SHLIB_VERSION))"

=== debian/watch ===
version=2
http://poppler.freedesktop.org/ poppler-(.*)\.tar\.gz debian uupdate

## poppler 0.4.5-5.1etch3maemo2%2b0m5

=== debian/changelog ===
poppler (0.4.5-5.1etch3maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.4.5-5.1etch3maemo2+0m5

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 09 Jun 2010 12:17:33 +0300

poppler (0.4.5-5.1etch3maemo2) unstable; urgency=low

  * Fixes: NB#161058 - Recompile poppler without GObject cast checks

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 09 Jun 2010 11:49:53 +0300

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,10 @@
 # do not warn about deprecated const string to char* conversion
 CXXFLAGS += -Wno-write-strings
 
+# for performance
+CXXFLAGS += -DG_DISABLE_CAST_CHECKS
+CFLAGS += -DG_DISABLE_CAST_CHECKS
+
 SHLIB_VERSION=0.4.2
 DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2 := -V"libpoppler0c2 (>= $(SHLIB_VERSION))"
 DEB_DH_MAKESHLIBS_ARGS_libpoppler0c2-glib := -V"libpoppler0c2-glib (>= $(SHLIB_VERSION))"

## poppler 0.10.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include(MacroEnsureVersion)
 include(MacroBoolTo01)
 
-set(POPPLER_VERSION "0.8.7")
+set(POPPLER_VERSION "0.10.5")
 
 # command line switches
 option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
@@ -21,6 +21,7 @@
 option(ENABLE_SPLASH "Build the Splash graphics backend." ON)
 option(ENABLE_UTILS "Compile poppler command line utils." ON)
 option(ENABLE_ABIWORD "Build the Abiword backend." ON)
+option(ENABLE_LIBOPENJPEG "Use libopenjpeg for JPX streams." ON)
 option(ENABLE_ZLIB "TODO" OFF)
 option(USE_EXCEPTIONS "Throw exceptions to deal with not enough memory and similar problems." OFF)
 option(USE_FIXEDPOINT "Use fixed point arithmetic" OFF)
@@ -64,6 +65,10 @@
   find_package(LibXml2)
   set(ENABLE_ABIWORD ${LIBXML2_FOUND})
 endif(ENABLE_ABIWORD)
+if(ENABLE_LIBOPENJPEG)
+  find_package(LIBOPENJPEG)
+  set(ENABLE_LIBOPENJPEG ${LIBOPENJPEG_FOUND})
+endif(ENABLE_LIBOPENJPEG)
 
 add_definitions(-DHAVE_CONFIG_H=1 ${FONTCONFIG_DEFINITIONS})
 include_directories(
@@ -88,6 +93,9 @@
   include_directories(${LIBXML2_INCLUDE_DIR})
   add_definitions(${LIBXML2_DEFINITIONS})
 endif(ENABLE_ABIWORD)
+if(LIBOPENJPEG_FOUND)
+  include_directories(${LIBOPENJPEG_INCLUDE_DIR})
+endif(LIBOPENJPEG_FOUND)
 
 if(DEFINED COMPILE_WARNINGS)
 else(DEFINED COMPILE_WARNINGS)
@@ -131,9 +139,11 @@
   poppler/Catalog.cc
   poppler/CharCodeToUnicode.cc
   poppler/CMap.cc
+  poppler/DateInfo.cc
   poppler/Decrypt.cc
   poppler/Dict.cc
   poppler/Error.cc
+  poppler/FileSpec.cc
   poppler/FontEncodingTables.cc
   poppler/Form.cc
   poppler/FontInfo.cc
@@ -144,7 +154,6 @@
   poppler/GlobalParams.cc
   poppler/JArithmeticDecoder.cc
   poppler/JBIG2Stream.cc
-  poppler/JPXStream.cc
   poppler/Lexer.cc
   poppler/Link.cc
   poppler/NameToCharCode.cc
@@ -209,6 +218,16 @@
   )
   set(poppler_LIBS ${poppler_LIBS} ${ZLIB_LIBRARIES})
 endif(ENABLE_ZLIB)
+if(LIBOPENJPEG_FOUND)
+  set(poppler_SRCS ${poppler_SRCS}
+    poppler/JPEG2000Stream.cc
+  )
+  set(poppler_LIBS ${poppler_LIBS} ${LIBOPENJPEG_LIBRARIES})
+else (LIBOPENJPEG_FOUND)
+  set(poppler_SRCS ${poppler_SRCS}
+    poppler/JPXStream.cc
+  )
+endif(LIBOPENJPEG_FOUND)
 if(ENABLE_ABIWORD)
   set(poppler_SRCS ${poppler_SRCS}
     poppler/ABWOutputDev.cc
@@ -226,33 +245,24 @@
 else(MSVC)
 add_library(poppler SHARED ${poppler_SRCS})
 endif(MSVC)
-set_target_properties(poppler PROPERTIES VERSION 3.0.0 SOVERSION 3)
+set_target_properties(poppler PROPERTIES VERSION 4.0.0 SOVERSION 4)
 target_link_libraries(poppler ${poppler_LIBS})
 install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
 
 if(ENABLE_XPDF_HEADERS)
   install(FILES
-    goo/GooHash.h
-    goo/GooList.h
-    goo/GooTimer.h
-    goo/GooMutex.h
-    goo/GooString.h
-    goo/GooVector.h
-    goo/gtypes.h
-    goo/gmem.h
-    goo/gfile.h
-    goo/FixedPoint.h
     poppler/Annot.h
     poppler/Array.h
-    poppler/BaseFile.h
     poppler/BuiltinFont.h
     poppler/BuiltinFontTables.h
     poppler/Catalog.h
     poppler/CharCodeToUnicode.h
     poppler/CMap.h
+    poppler/DateInfo.h
     poppler/Decrypt.h
     poppler/Dict.h
     poppler/Error.h
+    poppler/FileSpec.h
     poppler/FontEncodingTables.h
     poppler/FontInfo.h
     poppler/Form.h
@@ -264,11 +274,12 @@
     poppler/GlobalParams.h
     poppler/JArithmeticDecoder.h
     poppler/JBIG2Stream.h
-    poppler/JPXStream.h
     poppler/Lexer.h
     poppler/Link.h
+    poppler/Movie.h
     poppler/NameToCharCode.h
     poppler/Object.h
+    poppler/OptionalContent.h
     poppler/Outline.h
     poppler/OutputDev.h
     poppler/Page.h
@@ -298,9 +309,29 @@
     poppler/UTF8.h
     poppler/XpdfPluginAPI.h
     poppler/Sound.h
-    poppler/Movie.h
     ${CMAKE_CURRENT_BINARY_DIR}/poppler/poppler-config.h
     DESTINATION include/poppler)
+  install(FILES
+    goo/GooHash.h
+    goo/GooList.h
+    goo/GooTimer.h
+    goo/GooMutex.h
+    goo/GooString.h
+    goo/GooVector.h
+    goo/gtypes.h
+    goo/gmem.h
+    goo/gfile.h
+    goo/FixedPoint.h
+    DESTINATION include/poppler/goo)
+  if(LIBOPENJPEG_FOUND)
+    install(FILES
+      poppler/JPEG2000Stream.h
+      DESTINATION include/poppler)
+  else(LIBOPENJPEG_FOUND)
+    install(FILES
+      poppler/JPXStream.h
+      DESTINATION include/poppler)
+  endif(LIBOPENJPEG_FOUND)
   if(ENABLE_SPLASH)
     install(FILES
       poppler/SplashOutputDev.h
@@ -389,4 +420,5 @@
 # message("  use gtk-doc:        $enable_gtk_doc") # TODO
 show_end_message("use libjpeg" ENABLE_LIBJPEG)
 show_end_message("use zlib" ENABLE_ZLIB)
+show_end_message("use libopenjpeg" LIBOPENJPEG_FOUND)
 show_end_message("command line utils" ENABLE_UTILS)

## poppler 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(poppler)
 
-cmake_minimum_required(VERSION 2.4.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
@@ -11,7 +11,10 @@
 include(MacroEnsureVersion)
 include(MacroBoolTo01)
 
-set(POPPLER_VERSION "0.10.5")
+set(POPPLER_MAJOR_VERSION "0")
+set(POPPLER_MINOR_VERSION "12")
+set(POPPLER_MICRO_VERSION "0")
+set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")
 
 # command line switches
 option(ENABLE_XPDF_HEADERS "Install unsupported xpdf headers." OFF)
@@ -22,6 +25,7 @@
 option(ENABLE_UTILS "Compile poppler command line utils." ON)
 option(ENABLE_ABIWORD "Build the Abiword backend." ON)
 option(ENABLE_LIBOPENJPEG "Use libopenjpeg for JPX streams." ON)
+option(ENABLE_LCMS "Use liblcms for color management." ON)
 option(ENABLE_ZLIB "TODO" OFF)
 option(USE_EXCEPTIONS "Throw exceptions to deal with not enough memory and similar problems." OFF)
 option(USE_FIXEDPOINT "Use fixed point arithmetic" OFF)
@@ -33,13 +37,14 @@
 
 # setting the minimum required versions for some components
 set(QT3_MIN_VERSION "3.3.0")
-set(QT4_MIN_VERSION "4.1.0")
-set(CAIRO_VERSION "1.4")
+set(QT4_MIN_VERSION "4.3.0")
+set(CAIRO_VERSION "1.8.4")
 
 macro_bool_to_01(ENABLE_SPLASH HAVE_SPLASH)
 find_package(Freetype REQUIRED)
 find_package(Fontconfig REQUIRED)
 macro_optional_find_package(JPEG)
+macro_optional_find_package(PNG)
 if(JPEG_FOUND)
   set(ENABLE_LIBJPEG ${JPEG_FOUND})
 endif(JPEG_FOUND)
@@ -69,6 +74,10 @@
   find_package(LIBOPENJPEG)
   set(ENABLE_LIBOPENJPEG ${LIBOPENJPEG_FOUND})
 endif(ENABLE_LIBOPENJPEG)
+if(ENABLE_LCMS)
+  find_package(LCMS)
+  set(USE_CMS ${LCMS_FOUND})
+endif(ENABLE_LCMS)
 
 add_definitions(-DHAVE_CONFIG_H=1 ${FONTCONFIG_DEFINITIONS})
 include_directories(
@@ -78,7 +87,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/poppler
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}/poppler
-  ${FREETYPE_INCLUDE_DIR}
+  ${FREETYPE_INCLUDE_DIRS}
 )
 set(HAVE_FREETYPE_H ON)
 
@@ -89,6 +98,10 @@
   include_directories(${JPEG_INCLUDE_DIR})
   set(ENABLE_LIBJPEG ON)
 endif(JPEG_FOUND)
+if(PNG_FOUND)
+  include_directories(${PNG_INCLUDE_DIR})
+  set(ENABLE_LIBPNG ON)
+endif(PNG_FOUND)
 if(ENABLE_ABIWORD)
   include_directories(${LIBXML2_INCLUDE_DIR})
   add_definitions(${LIBXML2_DEFINITIONS})
@@ -96,6 +109,9 @@
 if(LIBOPENJPEG_FOUND)
   include_directories(${LIBOPENJPEG_INCLUDE_DIR})
 endif(LIBOPENJPEG_FOUND)
+if(LCMS_FOUND)
+  include_directories(${LCMS_INCLUDE_DIR})
+endif(LCMS_FOUND)
 
 if(DEFINED COMPILE_WARNINGS)
 else(DEFINED COMPILE_WARNINGS)
@@ -127,6 +143,8 @@
   goo/GooString.cc
   goo/gmem.cc
   goo/FixedPoint.cc
+  goo/PNGWriter.cc
+  goo/gstrtod.cc
   fofi/FoFiBase.cc
   fofi/FoFiEncodings.cc
   fofi/FoFiTrueType.cc
@@ -166,6 +184,7 @@
   poppler/Parser.cc
   poppler/PDFDoc.cc
   poppler/PDFDocEncoding.cc
+  poppler/PopplerCache.cc
   poppler/ProfileData.cc
   poppler/PreScanOutputDev.cc
   poppler/PSTokenizer.cc
@@ -228,6 +247,9 @@
     poppler/JPXStream.cc
   )
 endif(LIBOPENJPEG_FOUND)
+if(USE_CMS)
+  set(poppler_LIBS ${poppler_LIBS} ${LCMS_LIBRARIES})
+endif(USE_CMS)
 if(ENABLE_ABIWORD)
   set(poppler_SRCS ${poppler_SRCS}
     poppler/ABWOutputDev.cc
@@ -245,8 +267,12 @@
 else(MSVC)
 add_library(poppler SHARED ${poppler_SRCS})
 endif(MSVC)
-set_target_properties(poppler PROPERTIES VERSION 4.0.0 SOVERSION 4)
+set_target_properties(poppler PROPERTIES VERSION 5.0.0 SOVERSION 5)
+if (ENABLE_LIBPNG)
+target_link_libraries(poppler ${poppler_LIBS} ${PNG_LIBRARIES})
+else (ENABLE_LIBPNG)
 target_link_libraries(poppler ${poppler_LIBS})
+endif (ENABLE_LIBPNG)
 install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
 
 if(ENABLE_XPDF_HEADERS)
@@ -271,6 +297,7 @@
     poppler/Gfx.h
     poppler/GfxFont.h
     poppler/GfxState.h
+    poppler/GfxState_helpers.h
     poppler/GlobalParams.h
     poppler/JArithmeticDecoder.h
     poppler/JBIG2Stream.h
@@ -287,6 +314,7 @@
     poppler/Parser.h
     poppler/PDFDoc.h
     poppler/PDFDocEncoding.h
+    poppler/PopplerCache.h
     poppler/ProfileData.h
     poppler/PreScanOutputDev.h
     poppler/PSTokenizer.h
@@ -322,7 +350,15 @@
     goo/gmem.h
     goo/gfile.h
     goo/FixedPoint.h
+    goo/gstrtod.h
     DESTINATION include/poppler/goo)
+  install(FILES
+    fofi/FoFiBase.h
+    fofi/FoFiEncodings.h
+    fofi/FoFiTrueType.h
+    fofi/FoFiType1.h
+    fofi/FoFiType1C.h
+    DESTINATION include/poppler/fofi)
   if(LIBOPENJPEG_FOUND)
     install(FILES
       poppler/JPEG2000Stream.h
@@ -397,28 +433,3 @@
   poppler_create_install_pkgconfig(poppler-splash.pc lib/pkgconfig)
 endif(ENABLE_SPLASH)
 if(QT3_FOUND)
-  poppler_create_install_pkgconfig(poppler-qt.pc lib/pkgconfig)
-endif(QT3_FOUND)
-if(QT4_FOUND)
-  poppler_create_install_pkgconfig(poppler-qt4.pc lib/pkgconfig)
-endif(QT4_FOUND)
-if(GLIB_FOUND)
-  poppler_create_install_pkgconfig(poppler-glib.pc lib/pkgconfig)
-endif(GLIB_FOUND)
-if(CAIRO_FOUND)
-  poppler_create_install_pkgconfig(poppler-cairo.pc lib/pkgconfig)
-endif(CAIRO_FOUND)
-
-
-message("Building Poppler with support for:")
-show_end_message("splash output" ENABLE_SPLASH)
-show_end_message("cairo output" CAIRO_FOUND)
-show_end_message("abiword output" ENABLE_ABIWORD)
-show_end_message("qt wrapper" QT3_FOUND)
-show_end_message("qt4 wrapper" QT4_FOUND)
-show_end_message("glib wrapper" GLIB_FOUND)
-# message("  use gtk-doc:        $enable_gtk_doc") # TODO
-show_end_message("use libjpeg" ENABLE_LIBJPEG)
-show_end_message("use zlib" ENABLE_ZLIB)
-show_end_message("use libopenjpeg" LIBOPENJPEG_FOUND)
-show_end_message("command line utils" ENABLE_UTILS)

=== glib/CMakeLists.txt ===
add_definitions(-DG_LOG_DOMAIN=\"Poppler\" ${GLIB2_CFLAGS})

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)
if (CAIRO_FOUND)
  include_directories(${CAIRO_INCLUDES})
  set (CAIRO_FEATURE "#define POPPLER_HAS_CAIRO 1")
  add_definitions(${CAIRO_CFLAGS})
else (CAIRO_FOUND)
  set (CAIRO_FEATURE "#undef POPPLER_HAS_CAIRO")
endif (CAIRO_FOUND)

if (GDK_FOUND)
  add_definitions(${GDK2_CFLAGS})
endif (GDK_FOUND)

configure_file(poppler-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/poppler-features.h @ONLY)

if (GTK_FOUND)
  add_subdirectory(demo)
endif (GTK_FOUND)

set(poppler_glib_public_headers
  poppler-action.h
  poppler-date.h
  poppler-document.h
  poppler-page.h
  poppler-attachment.h
  poppler-form-field.h
  poppler-annot.h
  poppler.h
)

find_program(GLIB2_MKENUMS glib-mkenums)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --fhead \"\#ifndef __POPPLER_TYPE_ENUMS_H__\\n\"
    --fhead \"\#define __POPPLER_TYPE_ENUMS_H__ 1\\n\\n\"
    --fhead \"\#include <glib-object.h>\\n\\n\"
    --fhead \"G_BEGIN_DECLS\\n\\n\"
    --ftail \"G_END_DECLS\\n\\n\"
    --ftail \"\#endif /* __POPPLER_TYPE_ENUMS_H__ */\\n\"
    --fprod \"\\n/* --- @filename@ --- */\"
    --eprod \"\#define POPPLER_TYPE_@ENUMSHORT@ \(@enum_name@_get_type\(\)\)\\n\"
    --eprod \"GType @enum_name@_get_type \(void\) G_GNUC_CONST\;\\n\"
    ${poppler_glib_public_headers} > ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${poppler_glib_public_headers}
)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
  COMMAND ${GLIB2_MKENUMS}
  ARGS
    --fhead \"\#include \\"poppler-enums.h\\"\\n\\n\"
    --fprod \"\\n/* enumerations from \\"@filename@\\" */\"
    --fprod \"\\n\#include \\"@filename@\\"\"
    --vhead \"static const G@Type@Value _@enum_name@_values[] = {\"
    --vprod \"  { @VALUENAME@, \\"@VALUENAME@\\", \\"@valuenick@\\" },\"
    --vtail \"  { 0, NULL, NULL }\\n}\;\\n\\n\"
    --vtail \"GType\\n@enum_name@_get_type \(void\)\\n{\\n\"
    --vtail \"  static GType type = 0\;\\n\\n\"
    --vtail \"  if \(G_UNLIKELY \(type == 0\)\)\\n\"
    --vtail \"    type = g_\@type\@_register_static \(\\"@EnumName@\\", _@enum_name@_values\)\;\\n\\n\"
    --vtail \"  return type\;\\n}\\n\\n\"
    ${poppler_glib_public_headers} > ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${poppler_glib_public_headers} ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
)


set(poppler_glib_SRCS
  poppler-action.cc
  poppler-date.cc
  poppler-document.cc
  poppler-page.cc
  poppler-attachment.cc
  poppler-form-field.cc
  poppler-annot.cc
  poppler-layer.cc
  poppler.cc
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.c
)
if (CAIRO_FOUND)
  set(poppler_glib_SRCS ${poppler_glib_SRCS}
    ${CMAKE_SOURCE_DIR}/poppler/CairoFontEngine.cc
    ${CMAKE_SOURCE_DIR}/poppler/CairoOutputDev.cc
  )
endif (CAIRO_FOUND)
add_library(poppler-glib SHARED ${poppler_glib_SRCS})
set_target_properties(poppler-glib PROPERTIES VERSION 4.0.0 SOVERSION 4)
target_link_libraries(poppler-glib poppler ${GLIB2_LIBRARIES})
if (CAIRO_FOUND)
  target_link_libraries(poppler-glib ${CAIRO_LIBRARIES})
endif (CAIRO_FOUND)
install(TARGETS poppler-glib RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)

install(FILES
  ${poppler_glib_public_headers}
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-enums.h
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-features.h
  DESTINATION include/poppler/glib)


if (GDK_FOUND)
  set(test_poppler_glib_SRCS
    test-poppler-glib.cc
  )
  poppler_add_test(test-poppler-glib BUILD_GTK_TESTS ${test_poppler_glib_SRCS})
  target_link_libraries(test-poppler-glib poppler-glib ${GDK2_LIBRARIES})
endif (GDK_FOUND)

=== qt/CMakeLists.txt ===
add_definitions(${QT3_DEFINITIONS})

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QT3_INCLUDE_DIR}
)

set(poppler_qt_SRCS
  poppler-document.cc
  poppler-fontinfo.cc
  poppler-link.cc
  poppler-page.cc
  poppler-page-transition.cc
  poppler-private.cc
)
add_library(poppler-qt SHARED ${poppler_qt_SRCS})
set_target_properties(poppler-qt PROPERTIES VERSION 2.0.0 SOVERSION 2)
target_link_libraries(poppler-qt poppler ${QT3_LIBRARIES})
install(TARGETS poppler-qt RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)

install(FILES
  poppler-qt.h
  poppler-page-transition.h
  poppler-link-qt3.h
  DESTINATION include/poppler/qt3)


set(test_poppler_qt_SOURCES
  test-poppler-qt.cpp
)
poppler_add_test(test-poppler-qt BUILD_QT3_TESTS ${test_poppler_qt_SOURCES})
target_link_libraries(test-poppler-qt poppler-qt)

## poppler 0.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set(POPPLER_MAJOR_VERSION "0")
 set(POPPLER_MINOR_VERSION "12")
-set(POPPLER_MICRO_VERSION "0")
+set(POPPLER_MICRO_VERSION "2")
 set(POPPLER_VERSION "${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")
 
 # command line switches
@@ -29,6 +29,8 @@
 option(ENABLE_ZLIB "TODO" OFF)
 option(USE_EXCEPTIONS "Throw exceptions to deal with not enough memory and similar problems." OFF)
 option(USE_FIXEDPOINT "Use fixed point arithmetic" OFF)
+
+set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
 
 # Enable these unconditionally.
 set(MULTITHREAD ON)
@@ -262,6 +264,7 @@
 endif(WIN32)
 
 if(MSVC)
+add_definitions(-D_CRT_SECURE_NO_WARNINGS)
 set(poppler_SRCS ${poppler_SRCS} poppler/GlobalParamsWin.cc)
 add_library(poppler STATIC ${poppler_SRCS})
 else(MSVC)
@@ -273,7 +276,7 @@
 else (ENABLE_LIBPNG)
 target_link_libraries(poppler ${poppler_LIBS})
 endif (ENABLE_LIBPNG)
-install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
+install(TARGETS poppler RUNTIME DESTINATION bin LIBRARY DESTINATION lib${LIB_SUFFIX} ARCHIVE DESTINATION lib${LIB_SUFFIX})
 
 if(ENABLE_XPDF_HEADERS)
   install(FILES
@@ -428,8 +431,3 @@
   set(PC_REQUIRES_PRIVATE "")
 endif(PKG_CONFIG_VERSION_0_18)
 
-poppler_create_install_pkgconfig(poppler.pc lib/pkgconfig)
-if(ENABLE_SPLASH)
-  poppler_create_install_pkgconfig(poppler-splash.pc lib/pkgconfig)
-endif(ENABLE_SPLASH)
-if(QT3_FOUND)
